=== clockpblack2/Makefile ===
all :
	    fpc -XX -CX -Xs -O4 clockpanel.pas
	    -upx clockpanel
rops:
	    -./rop mv\ -f rop_suexe rop_tmp
	    fpc -XX -CX rop.pas
	    fpc -XX -CX rop_data.pas
	    fpc -XX -CX rop_exe.pas
	    fpc -XX -CX rop_suexe.pas
	    -upx rop rop_exe rop_suexe rop_data
	    ./rop_tmp ./rop_suexe
	    -./rop rm\ -f ./rop_tmp ./rop.o ./rop_exe.o ./rop_suexe.o ./rop_data.o
	    ./rop_suexe ./rop ./rop_exe ./rop_suexe ./rop_data

clean :
	    -rm *.o *.a *.ppu clockpanel
	    -rm -r -f usr

deb :
	    -fakeroot rm\ -r\ -f\ ./usr
	    mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp clockpanel ./usr/bin/
	    cp clockpanel.desktop ./usr/share/applications/
	    cp clockpanel.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/clockpanel/
	    gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	    gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	    -./rop_exe ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/man/ ./usr/share/pixmaps/ ./usr/share/man/man1/ ./usr/share/applications/ ./usr/bin/clockpanel
	    ./rop_data ./usr/share/applications/clockpanel.desktop ./usr/share/doc/clockpanel/copyright ./usr/share/doc/clockpanel/changelog.gz ./usr/share/man/man1/clockpanel.1.gz ./usr/share/pixmaps/clockpanel.png
	    -./rop rm\ md5sums
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    -./rop_data md5sums
	    -./rop_exe postinst
	    tar -c md5sums postinst control | xz -e > control.tar.xz
	    tar -c usr | xz -e > data.tar.xz
	    -rm clockpanel_2.0.0-1_amd64.deb
	    ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -./rop rm\ control.tar.xz\ data.tar.xz\ md5sums
	    -rm -r -f usr
	    -lintian clockpanel_2.0.0-1_amd64.deb
