=== clockpwhite4/Makefile ===
all :
	    fpc -XX -CX -Xs -O4 clockpanel.pas
	    -rm *.o *.a *.ppu
	    -upx clockpanel

clean :
	    -rm *.o *.a *.ppu clockpanel
	    -rm -r -f usr

deb :
	    -strip clockpanel
	    -rm -r -f usr
	    -mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/clockpanel/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp clockpanel ./usr/bin/
	    cp clockpanel.desktop ./usr/share/applications/
	    cp clockpanel.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/clockpanel/
	    gzip -n -9 -c changelog > ./usr/share/doc/clockpanel/changelog.gz
	    gzip -n -9 -c clockpanel.1 > ./usr/share/man/man1/clockpanel.1.gz
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    tar -c --xz --owner=root --group=root -f control.tar.xz control md5sums postinst
	    tar -c --xz  --owner=root --group=root -f data.tar.xz usr
	    -rm -r -f usr
	    -rm clockpanel_2.0.0-1_amd64.deb
	    ar q clockpanel_2.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -rm control.tar.xz data.tar.xz md5sums
	    -lintian --no-tag-display-limit clockpanel_2.0.0-1_amd64.deb
