=== dclockspec4/Makefile ===
all :
	fpc -Xs- -Ow -FWo.opt -OWAll -Cg -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc dclockpanel.pas
	fpc -Xs- -Ow -FWo.opt -OWAll -Cg -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc termometeropenweathermap.pas
	fpc -Xs- -Ow -FWo.opt -OWAll -Cg -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc termometerwttr.pas

clean :
	-rm -f *.o *.a *.ppu o.opt dclockpanel termometeropenweathermap termometerwttr
