=== gcmpcl/Makefile ===
all :
	fpc -B -k-pie -k-znow -CfSSE64 -CX -XX -O3 -Mobjfpc -Cg acmp.pas
	-sstrip acmp
	lazbuild gcmp.lpi
	-sstrip gcmp

clean :
	    -rm *.o *.a *.ppu acmp gcmpc_test gcmp
	    -rm -r lib backup
