=== gorgclockwide/Makefile ===
all :
	    fpc -XX -CX gorgclock.pas

clean :
	    -rm *.o *.a *.ppu gorgclock
	    -rm -r -f usr

deb :
	    -rm -r -f usr
	    -mkdir ./usr/ ./usr/bin/ ./usr/share/ ./usr/share/doc/ ./usr/share/doc/gorgclock/ ./usr/share/applications/ ./usr/share/man/ ./usr/share/man/man1/ ./usr/share/pixmaps/
	    cp gorgclock ./usr/bin/
	    cp gorgclock.desktop ./usr/share/applications/
	    cp gorgclock.png ./usr/share/pixmaps/
	    cp copyright ./usr/share/doc/gorgclock/
	    gzip -n -9 -c changelog > ./usr/share/doc/gorgclock/changelog.gz
	    gzip -n -9 -c gorgclock.1 > ./usr/share/man/man1/gorgclock.1.gz
	    find usr/ -type f -exec md5sum \{\} \; > md5sums
	    tar -c --xz --owner=root --group=root -f control.tar.xz postinst control md5sums
	    tar -c --xz  --owner=root --group=root -f data.tar.xz usr
	    -rm -r -f usr
	    -rm gorgclock_1.0.0-1_amd64.deb
	    ar q gorgclock_1.0.0-1_amd64.deb debian-binary control.tar.xz data.tar.xz
	    -rm control.tar.xz data.tar.xz md5sums
	    -lintian --no-tag-display-limit gorgclock_1.0.0-1_amd64.deb
