=== notes/Makefile ===
all :
	    fpc -XX -CX -O4 gorg64_spkcompiler.pas
	    -rm *.o *.a *.ppu
	    -sstrip gorg64_spkcompiler
	    -upx gorg64_spkcompiler
	    -sstrip gorg64_spkcompiler
clean :
	    -rm *.o *.a *.ppu gorg64_spkcompiler
