=== debian/control ===
Source: gorg64
Section: text
Priority: optional
Maintainer: Alexander <aralni@mail.ru>
Uploaders:
 Alexander <aralni@mail.ru>
Build-Depends:
 debhelper-compat (= 13),
 nasm,
 fpc,
 gcc,
 libasound2-dev [linux-any],
 libaudio-dev,
 libjack-dev,
 libltdl-dev,
 libopenal-dev,
 libpulse-dev [!hurd-i386],
 pkg-config,
 portaudio19-dev
Standards-Version: 4.6.2
Homepage: http://soft.self-made-free.ru/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
Rules-Requires-Root: no

Package: gorg64
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 alsa-utils [linux-any],
 jackd,
 nas,
 oss-compat [linux-any],
 oss4-base [linux-any],
 pulseaudio
Description: MPEG layer 1/2/3 audio player
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains output plugins for several audio systems, including
 OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
 PulseAudio, OpenAL and the Network Audio System (NAS).
